Bug 456054 - (CVE-2008-3217) CVE-2008-3217 pdns-recursor: not using the strongest random number generator for source port selection
CVE-2008-3217 pdns-recursor: not using the strongest random number generator ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=oss-security,reported=20080709...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 04:58 EDT by Tomas Hoger
Modified: 2010-03-29 04:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-21 04:58:54 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3217 to the following vulnerability:

PowerDNS Recursor before 3.1.6 does not always use the strongest
random number generator for source port selection, which makes it
easier for remote attack vectors to conduct DNS cache poisoning.  NOTE:
this is related to incomplete integration of security improvements
associated with addressing CVE-2008-1637.

Upstream fix:
http://wiki.powerdns.com/cgi-bin/trac.fcgi/changeset/1179

References:
http://doc.powerdns.com/changelog.html#CHANGELOG-RECURSOR-3-1-6
http://www.openwall.com/lists/oss-security/2008/07/09/10
Comment 1 Fedora Update System 2008-07-30 16:11:51 EDT
pdns-recursor-3.1.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.